### File

`src/progress-indicator/progress-indicator-step.interface.ts`

### Index

###### Properties
Optional disabled state text Optional tooltip

### Properties

disabled
`disabled: `boolean``
Type : `boolean`
Optional
Determines whether the step is disabled or not

state
`state: `Array<string>``
Type : `Array<string>`
An array of strings to determine the progress of the step

text
`text: `string``
Type : `string`
The label of the `step`

tooltip
`tooltip: `DialogConfig``
Type : `DialogConfig`
Optional
Defines the tooltip

    import { TemplateRef } from "@angular/core";
    import { DialogConfig } from "./../dialog/dialog-config.interface";

    export interface Step {
    	/**
    	 * The label of the `step`
    	 */
    	text: string;
    	/**
    	 * An array of strings to determine the progress of the step
    	 */
    	state: Array<string>;
    	/**
    	 * Defines the tooltip
    	 */
    	tooltip?: DialogConfig;
    	/**
    	 * Determines whether the step is disabled or not
    	 */
    	disabled?: boolean;
    }

# result-matching ""

# No results matching ""